## python-glance-store 0.1.8

=== requirements.txt ===
oslo.config>=1.2.0
oslo.i18n>=0.1.0
stevedore>=0.12

python-cinderclient>=1.0.6

# Required by openstack.common libraries
eventlet>=0.13.0
iso8601>=0.1.8
six>=1.4.1

=== debian/changelog ===
python-glance-store (0.1.8-1ubuntu2~cloud0) trusty-juno; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Oct 2014 18:09:17 -0400

python-glance-store (0.1.8-1ubuntu2) utopic; urgency=medium

  * debian/patches/fix-rbd-chunk-read.patch: Cherry pick from upstream 
    VCS to correctly use READ_CHUNKSIZE and correct the return of get().
    (LP: #1379434) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Oct 2014 17:26:10 -0400

python-glance-store (0.1.8-1ubuntu1) utopic; urgency=medium

  * d/p/fix-rbd-chunk-size.patch: Cherry pick fix from upstream VCS to
    correctly calculate RBD chunk size, resolving performance regression
    with rbd backend (LP: #1378388).

 -- James Page <james.page@ubuntu.com>  Tue, 07 Oct 2014 16:08:15 +0100

python-glance-store (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Do not run the unit tests in Python 2.6.
  * Added python-mox as build-depends.
  * Added fix-tests.patch (Closes: #762115).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2014 15:13:49 +0800

python-glance-store (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #760537)

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 10:54:04 +0800

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx
Build-Depends-Indep: python-boto (>= 2.12.0),
                     python-cinderclient (>= 1:1.0.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.8),
                     python-mock (>= 1.0),
                     python-mox,
                     python-oslo.config (>= 1.2.0),
                     python-oslo.i18n (>= 0.1.0),
                     python-oslo.vmware (>= 0.4),
                     python-oslosphinx,
                     python-oslotest,
                     python-six (>= 1.4.1),
                     python-stevedore (>= 0.12),
                     python-subunit (>= 0.0.18),
                     python-swiftclient (>= 2.0.2),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
Vcs-Git: git://anonscm.debian.org/openstack/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: python-glance-store
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-cinderclient (>= 1:1.0.6),
         python-eventlet (>= 0.13.0),
         python-iso8601 (>= 0.1.8),
         python-oslo.config (>= 1.2.0),
         python-oslo.i18n (>= 0.1.0),
         python-six (>= 1.4.1),
         python-stevedore (>= 0.12),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Image Service store library - Python 2.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2.x module for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

## python-glance-store 0.4.0

=== requirements.txt ===
oslo.config>=1.6.0 # Apache-2.0
oslo.i18n>=0.1.0
oslo.serialization>=1.0.0 # Apache-2.0
oslo.utils>=1.2.0 # Apache-2.0
oslo.concurrency>=1.4.1         # Apache-2.0
stevedore>=0.12
enum34

python-cinderclient>=1.0.6

eventlet>=0.13.0 #s3
six>=1.4.1

jsonschema>=2.0.0,<3.0.0

# py2.6 compat
ordereddict

=== debian/changelog ===
python-glance-store (0.4.0-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 23 Mar 2015 16:02:58 +0000

python-glance-store (0.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo-3:
    - d/control: Add new BD's on python-enum34 and python-requests-mock,
      drop dependency on python-httpretty.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Mar 2015 13:31:32 +0000

python-glance-store (0.1.11-0ubuntu2) vivid; urgency=medium

  * debian/control: Fix typo 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Mar 2015 09:01:20 -0500

python-glance-store (0.1.11-0ubuntu1) vivid; urgency=medium

  * New upstream release;
    - debian/control: Added python-oslo-utils, python-oslo-concurrency,
      python-jsonschema as depdendencies. 
    - debian/control: Dropped python-iso8601 as a dependency.
    - debian/patches/fix-requirements.patch: Refreshed.
  * debian/control: Bump standards version to 3.9.6

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Mar 2015 09:21:15 -0500

python-glance-store (0.1.10-0ubuntu2) vivid; urgency=medium

  * d/control: Transition to new non-namespaced oslo packages.

 -- James Page <james.page@ubuntu.com>  Thu, 12 Feb 2015 14:34:53 +0000

python-glance-store (0.1.10-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - debian/control: Add python-httpretty as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 13 Dec 2014 19:58:47 -0500

python-glance-store (0.1.9-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - debian/patches/fix-tests.patch: Dropped no longer needed. 
    - debian/patches/fix-rbd-chunk-read.patch: Dropped no longer needed.
    - debian/patches/fix-rbd-chunk-size.patch: Dropped no longer needed.
    - debian/patches/fix-requirements.patch: Remove python2.6 compat.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Nov 2014 10:21:20 -0500

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,21 @@
 Build-Depends-Indep: python-boto (>= 2.12.0),
                      python-cinderclient (>= 1:1.0.6),
                      python-eventlet (>= 0.13.0),
+                     python-enum34,
                      python-fixtures (>= 0.3.14),
                      python-hacking (>= 0.8.0),
                      python-httplib2 (>= 0.7.5),
-                     python-iso8601 (>= 0.1.8),
+                     python-jsonschema (>= 2.0.0),
                      python-mock (>= 1.0),
                      python-mox,
-                     python-oslo.config (>= 1.2.0),
-                     python-oslo.i18n (>= 0.1.0),
-                     python-oslo.vmware (>= 0.4),
+                     python-oslo-config (>= 1.6.0),
+                     python-oslo-i18n (>= 0.1.0),
+                     python-oslo-vmware (>= 0.4),
+                     python-oslo-utils (>= 1.2.0),
+                     python-oslo-concurrency (>= 1.4.1),
                      python-oslosphinx,
                      python-oslotest,
+                     python-requests-mock,
                      python-six (>= 1.4.1),
                      python-stevedore (>= 0.12),
                      python-subunit (>= 0.0.18),
@@ -32,7 +36,7 @@
                      python-testtools (>= 0.9.34),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-glance-store.git
 Homepage: https://github.com/openstack/glance_store
@@ -42,11 +46,13 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-cinderclient (>= 1:1.0.6),
          python-eventlet (>= 0.13.0),
-         python-iso8601 (>= 0.1.8),
-         python-oslo.config (>= 1.2.0),
-         python-oslo.i18n (>= 0.1.0),
+         python-oslo-config (>= 1.2.0),
+         python-oslo-i18n (>= 0.1.0),
+         python-oslo-utils (>= 1.2.0),
+         python-oslo-concurrency (>= 1.4.1),
          python-six (>= 1.4.1),
          python-stevedore (>= 0.12),
+         python-jsonschema (>= 2.0.0),
          ${misc:Depends},
          ${python:Depends}
 Description: OpenStack Image Service store library - Python 2.x

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/glance_store.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-glance-store; \
	done
	rm -rf $(CURDIR)/debian/python*-glance-store/usr/lib/python*/dist-packages/*.pth


override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -ex ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/glance_store glance_store-(.*).tar.gz

## python-glance-store 0.9.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=2.3.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6'

eventlet>=0.17.4
six>=1.9.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0

=== debian/changelog ===
python-glance-store (0.9.1-2~bpo8+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Thomas Goirand <jenkins@liberty-jessie.pkgs.mirantis.com>  Sat, 17 Oct 2015 10:39:34 +0000

python-glance-store (0.9.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Black list 9 more unit tests:
    - test_swift_store.TestStoreAuthV1.test_read_acl_public
    - test_swift_store.TestStoreAuthV1.test_read_acl_tenants
    - test_swift_store.TestStoreAuthV1.test_write_acls
    - test_swift_store.TestStoreAuthV2.test_read_acl_public
    - test_swift_store.TestStoreAuthV2.test_read_acl_tenants
    - test_swift_store.TestStoreAuthV2.test_write_acls
    - test_swift_store.TestStoreAuthV3.test_read_acl_public
    - test_swift_store.TestStoreAuthV3.test_read_acl_tenants
    - test_swift_store.TestStoreAuthV3.test_write_acls

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:35:58 +0000

python-glance-store (0.9.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Reviewed (build-)depends for this release.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 12:21:15 +0100

python-glance-store (0.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:05:43 +0200

python-glance-store (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Dropped requirements.txt patch (which was removing ordereddict).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jul 2015 02:19:20 +0200

python-glance-store (0.4.0-3) unstable; urgency=medium

  * Made build reproducible (Closes: #788502), thanks to Juan Picca.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 11:13:35 +0200

python-glance-store (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Ensure unit test failures fail the package build.
  * Update watch file to use Debian pypi redirector.
  * Align dependency version requirements with Ubuntu and upstream.

 -- James Page <jamespage@debian.org>  Fri, 12 Jun 2015 10:07:40 +0100

python-glance-store (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Mar 2015 13:49:47 +0100

python-glance-store (0.1.10-2) experimental; urgency=medium

  * Allow unit tests to fail.
  * Added ordereddict to pydistoverrides.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Dec 2014 17:06:40 +0800

python-glance-store (0.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Drops fix-tests.patch as it was applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 09:07:56 +0000

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-boto (>= 2.32.1),
                     python-coverage (>= 3.6),
                     python-enum34,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-gridfs,
                     python-hacking (>= 0.10.0),
                     python-jsonschema (>= 2.0.0),
                     python-mock (>= 1.2),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.vmware (>= 0.14.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pbr,
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
Vcs-Git: git://anonscm.debian.org/openstack/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: python-glance-store
Architecture: all
Depends: python-enum34,
         python-eventlet (>= 0.17.4),
         python-jsonschema (>= 2.0.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Image Service store library - Python 2.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2.x module for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
@@ -28,7 +32,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'glance_store\.tests\.unit\.(?!(.*OptsTestCase\.test_list_api_opts.*|.*test_swift_store.TestStoreAuthV1.test_read_acl_public.*|.*test_swift_store.TestStoreAuthV1.test_read_acl_tenants.*|.*test_swift_store.TestStoreAuthV1.test_write_acls.*|.*test_swift_store.TestStoreAuthV2.test_read_acl_public.*|.*test_swift_store.TestStoreAuthV2.test_read_acl_tenants.*|.*test_swift_store.TestStoreAuthV2.test_write_acls.*|.*test_swift_store.TestStoreAuthV3.test_read_acl_public.*|.*test_swift_store.TestStoreAuthV3.test_read_acl_tenants.*|.*test_swift_store.TestStoreAuthV3.test_write_acls.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \
@@ -40,7 +44,7 @@
 	rm -rf build .testrepository
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
+	sphinx-build $(SPHINXOPTS) -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-glance-store 0.9.2

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 oslo.config>=2.3.0 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 oslo.concurrency>=2.3.0 # Apache-2.0
 stevedore>=1.5.0 # Apache-2.0
 enum34;python_version=='2.7' or python_version=='2.6'

=== debian/changelog ===
python-glance-store (0.9.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jun 2016 21:29:11 +0000

python-glance-store (0.9.2-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1596973).
  * d/p/fix_swift_unit_tests.patch: Removed. Fixed in upstream.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 29 Jun 2016 10:53:34 -0400

python-glance-store (0.9.1-1ubuntu1) wily; urgency=medium

  * debian/patches/fix_swift_unit_tests.patch:
    - Cherry-pick fix from upstream for broken unit tests with swiftclient
      2.6.0 and higher (LP: #1505632).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 14 Oct 2015 12:49:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-glance-store
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9~),
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'glance_store\.tests\.unit\.(?!(.*OptsTestCase\.test_list_api_opts.*|.*test_swift_store.TestStoreAuthV1.test_read_acl_public.*|.*test_swift_store.TestStoreAuthV1.test_read_acl_tenants.*|.*test_swift_store.TestStoreAuthV1.test_write_acls.*|.*test_swift_store.TestStoreAuthV2.test_read_acl_public.*|.*test_swift_store.TestStoreAuthV2.test_read_acl_tenants.*|.*test_swift_store.TestStoreAuthV2.test_write_acls.*|.*test_swift_store.TestStoreAuthV3.test_read_acl_public.*|.*test_swift_store.TestStoreAuthV3.test_read_acl_tenants.*|.*test_swift_store.TestStoreAuthV3.test_write_acls.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase\.test_list_api_opts.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## python-glance-store 0.13.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0

=== debian/changelog ===
python-glance-store (0.13.0-3ubuntu0.16.04.1) xenial; urgency=medium

  * d/glance-store-common.*,control,glance_sudoers: Add binary package for
    shared rootwrap configuration, associated filters and sudoers.d
    configuration (LP: #1609733).

 -- James Page <james.page@ubuntu.com>  Mon, 22 Aug 2016 15:47:38 +0100

python-glance-store (0.13.0-3) unstable; urgency=medium

  * Added Mock_swiftclient_s_functions_in_tests.patch to allow swiftclient
    >= 3.x to work.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 16:14:31 +0000

python-glance-store (0.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:50:37 +0000

python-glance-store (0.13.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Add python-cinderclient and python-oslosphinx to BDs.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 12:19:02 +0000

python-glance-store (0.12.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).
  * Using update-alternatives for /usr/bin/glance-rootwrap.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 19:54:18 +0000

python-glance-store (0.10.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Fixed missing pymongo build-depends-indep.
  * VCS urls using https.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Feb 2016 12:48:07 +0000

python-glance-store (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Reactivate failed tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 08:31:34 +0000

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-boto (>= 2.32.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-debtcollector,
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-gridfs,
                     python-hacking (>= 0.10.0),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.2),
                     python-os-brick (>= 1.0.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 0.14.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pymongo,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-boto (>= 2.32.1),
                     python3-cinderclient (>= 1:1.3.1),
                     python3-debtcollector,
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 1.3.1),
                     python3-gridfs,
                     python3-jsonschema (>= 2.0.0),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.2),
                     python3-os-brick (>= 1.0.0),
                     python3-oslo.concurrency (>= 3.5.0),
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslo.vmware (>= 0.14.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pymongo,
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends: ${misc:Depends}
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared files for Python 2.x and 3 modules.

Package: python-glance-store
Architecture: all
Depends: python-debtcollector,
         python-enum34,
         python-eventlet (>= 0.18.2),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         glance-store-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Image Service store library - Python 2.7
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2.7 module for the Glance's stores.

Package: python3-glance-store
Architecture: all
Depends: python3-debtcollector,
         python3-eventlet (>= 0.18.2),
         python3-jsonschema (>= 2.0.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.concurrency (>= 3.5.0),
         python3-oslo.config (>= 1:3.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         glance-store-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2.x module for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -13,26 +13,35 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	dh_install
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-glance-store; \
 	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-glance-store; \
+	done
 	rm -rf $(CURDIR)/debian/python*-glance-store/usr/lib/python*/dist-packages/*.pth
+	mv $(CURDIR)/debian/python-glance-store/usr/bin/glance-rootwrap $(CURDIR)/debian/python-glance-store/usr/bin/python2-glance-rootwrap
+	mv $(CURDIR)/debian/python3-glance-store/usr/bin/glance-rootwrap $(CURDIR)/debian/python3-glance-store/usr/bin/python3-glance-rootwrap
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests"
-	set -ex ; for i in 2.7 ; do \
+	set -ex ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase\.test_list_api_opts.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## python-glance-store 0.13.1

=== debian/changelog ===
python-glance-store (0.13.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Ondřej Nový <novy@ondrej.org>  Mon, 30 May 2016 20:59:00 +0000

python-glance-store (0.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version is 3.9.8 now (no change)
  * Fixed package description typo (Closes: #820616)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * Removed Mock_swiftclient_s_functions_in_tests.patch
    (Applied upstream)

 -- Ondřej Nový <novy@ondrej.org>  Thu, 19 May 2016 21:57:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-glance-store
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
@@ -72,21 +71,10 @@
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-glance-store.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-glance-store.git
 Homepage: https://github.com/openstack/glance_store
-
-Package: glance-store-common
-Architecture: all
-Depends: ${misc:Depends}
-Description: OpenStack Image Service store library - common files
- The Glance project provides services for discovering, registering, and
- retrieving virtual machine images over the cloud. They may be stand-alone
- services, or may be used to deliver images from object stores, such as
- OpenStack's Swift service, to Nova's compute nodes.
- .
- This package contains shared files for Python 2.x and 3 modules.
 
 Package: python-glance-store
 Architecture: all
@@ -103,7 +91,6 @@
          python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
          python-stevedore (>= 1.5.0),
-         glance-store-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack Image Service store library - Python 2.7
@@ -128,7 +115,6 @@
          python3-requests (>= 2.8.1),
          python3-six (>= 1.9.0),
          python3-stevedore (>= 1.5.0),
-         glance-store-common (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
 Description: OpenStack Image Service store library - Python 3.x
@@ -137,7 +123,7 @@
  services, or may be used to deliver images from object stores, such as
  OpenStack's Swift service, to Nova's compute nodes.
  .
- This package contains the Python 2.x module for the Glance's stores.
+ This package contains the Python 3.x module for the Glance's stores.
 
 Package: python-glance-store-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/glance_store.git
+UPSTREAM_GIT := https://github.com/openstack/glance_store.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -16,7 +16,6 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_install:
-	dh_install
 	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-glance-store; \

## python-glance-store 0.18.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0

=== debian/changelog ===
python-glance-store (0.18.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Add missing python3 (>= 3.5) | python3-enum34 build-depends-indep
    (Closes: #839342).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Sep 2016 22:51:29 +0200

python-glance-store (0.18.0-1) experimental; urgency=medium

  [ James Page ]
  * d/glance-store-common.*,control,glance_sudoers: Add binary package for
    shared rootwrap configuration, associated filters and sudoers.d
    configuration (LP: #1609733).

  [ Corey Bryant ]
  * New upstream release.
  * .gitreview: Copy from orig tar ball.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-git-sphinx.patch: Rebased.
  * glance_store/tests/unit/test_swift_store.py: Copied from orig tarball.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 10:27:13 +0200

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-boto (>= 2.32.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-debtcollector,
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-gridfs,
                     python-hacking (>= 0.10.0),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-mock (>= 2.0),
                     python-os-brick (>= 1.0.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.vmware (>= 0.14.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pymongo,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-boto (>= 2.32.1),
                     python3-cinderclient (>= 1:1.3.1),
                     python3-debtcollector,
                     python3 (>= 3.5) | python3-enum34,
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-gridfs,
                     python3-jsonschema (>= 2.0.0),
                     python3-keystoneclient (>= 1:2.0.0),
                     python3-mock (>= 2.0),
                     python3-os-brick (>= 1.0.0),
                     python3-os-testr (>= 0.7.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslo.vmware (>= 0.14.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pymongo,
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-glance-store?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-glance-store -b debian/newton
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends: ${misc:Depends}
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store
Architecture: all
Depends: python-debtcollector,
         python3 (>= 3.5) | python-enum34,
         python-eventlet (>= 0.18.2),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:2.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         glance-store-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Image Service store library - Python 2.7
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 2.7 module for the Glance's stores.

Package: python3-glance-store
Architecture: all
Depends: python3-debtcollector,
         python3-eventlet (>= 0.18.2),
         python3-jsonschema (>= 2.0.0),
         python3-keystoneclient (>= 1:2.0.0),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         glance-store-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/glance_store.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
	sphinx-build $(SPHINXOPTS) -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
